Package org.eclipse.emf.cdo.security

# Interface SecurityPackage.Literals

Enclosing interface:
  SecurityPackage

public static interface SecurityPackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EEnum`
`ACCESS`
The meta object literal for the '`Access`' enum.
`static final EDataType`
`ACCESS_OBJECT`
The meta object literal for the 'Access Object' data type.
`static final EClass`
`AND_FILTER`
The meta object literal for the '`And Filter`' class.
`static final EClass`
`ASSIGNEE`
The meta object literal for the '`Assignee`' class.
`static final EAttribute`
`ASSIGNEE__ID`
The meta object literal for the 'Id' attribute feature.
`static final EReference`
`ASSIGNEE__ROLES`
The meta object literal for the 'Roles' reference list feature.
`static final EClass`
`CLASS_FILTER`
The meta object literal for the '`Class Filter`' class.
`static final EReference`
`CLASS_FILTER__APPLICABLE_CLASS`
The meta object literal for the 'Applicable Class' reference feature.
`static final EAttribute`
`CLASS_FILTER__SUB_TYPES`
The meta object literal for the 'Sub Types' attribute feature.
`static final EClass`
`CLASS_PERMISSION`
The meta object literal for the '`Class Permission`' class.
`static final EReference`
`CLASS_PERMISSION__APPLICABLE_CLASS`
The meta object literal for the 'Applicable Class' reference feature.
`static final EClass`
`COMBINED_FILTER`
The meta object literal for the '`Combined Filter`' class.
`static final EReference`
`COMBINED_FILTER__OPERANDS`
The meta object literal for the 'Operands' containment reference list feature.
`static final EClass`
`DIRECTORY`
The meta object literal for the '`Directory`' class.
`static final EReference`
`DIRECTORY__ITEMS`
The meta object literal for the 'Items' containment reference list feature.
`static final EAttribute`
`DIRECTORY__NAME`
The meta object literal for the 'Name' attribute feature.
`static final EClass`
`EXPRESSION_FILTER`
The meta object literal for the '`Expression Filter`' class.
`static final EReference`
`EXPRESSION_FILTER__EXPRESSION`
The meta object literal for the 'Expression' containment reference feature.
`static final EClass`
`FILTER_PERMISSION`
The meta object literal for the '`Filter Permission`' class.
`static final EReference`
`FILTER_PERMISSION__FILTERS`
The meta object literal for the 'Filters' containment reference list feature.
`static final EClass`
`GROUP`
The meta object literal for the '`Group`' class.
`static final EReference`
`GROUP__ALL_INHERITED_GROUPS`
The meta object literal for the 'All Inherited Groups' reference list feature.
`static final EReference`
`GROUP__ALL_INHERITING_GROUPS`
The meta object literal for the 'All Inheriting Groups' reference list feature.
`static final EReference`
`GROUP__ALL_ROLES`
The meta object literal for the 'All Roles' reference list feature.
`static final EReference`
`GROUP__INHERITED_GROUPS`
The meta object literal for the 'Inherited Groups' reference list feature.
`static final EReference`
`GROUP__INHERITING_GROUPS`
The meta object literal for the 'Inheriting Groups' reference list feature.
`static final EReference`
`GROUP__USERS`
The meta object literal for the 'Users' reference list feature.
`static final EClass`
`LINKED_FILTER`
The meta object literal for the '`Linked Filter`' class.
`static final EReference`
`LINKED_FILTER__FILTER`
The meta object literal for the 'Filter' reference feature.
`static final EClass`
`NOT_FILTER`
The meta object literal for the '`Not Filter`' class.
`static final EClass`
`OBJECT_FILTER`
The meta object literal for the '`Object Filter`' class.
`static final EClass`
`OBJECT_PERMISSION`
The meta object literal for the '`Object Permission`' class.
`static final EClass`
`OR_FILTER`
The meta object literal for the '`Or Filter`' class.
`static final EClass`
`PACKAGE_FILTER`
The meta object literal for the '`Package Filter`' class.
`static final EReference`
`PACKAGE_FILTER__APPLICABLE_PACKAGE`
The meta object literal for the 'Applicable Package' reference feature.
`static final EClass`
`PACKAGE_PERMISSION`
The meta object literal for the '`Package Permission`' class.
`static final EReference`
`PACKAGE_PERMISSION__APPLICABLE_PACKAGE`
The meta object literal for the 'Applicable Package' reference feature.
`static final EEnum`
`PATTERN_STYLE`
The meta object literal for the '`Pattern Style`' enum.
`static final EClass`
`PERMISSION`
The meta object literal for the '`Permission`' class.
`static final EAttribute`
`PERMISSION__ACCESS`
The meta object literal for the 'Access' attribute feature.
`static final EReference`
`PERMISSION__ROLE`
The meta object literal for the 'Role' container reference feature.
`static final EClass`
`PERMISSION_FILTER`
The meta object literal for the '`Permission Filter`' class.
`static final EClass`
`REALM`
The meta object literal for the '`Realm`' class.
`static final EReference`
`REALM__ALL_GROUPS`
The meta object literal for the 'All Groups' reference list feature.
`static final EReference`
`REALM__ALL_PERMISSIONS`
The meta object literal for the 'All Permissions' reference list feature.
`static final EReference`
`REALM__ALL_ROLES`
The meta object literal for the 'All Roles' reference list feature.
`static final EReference`
`REALM__ALL_USERS`
The meta object literal for the 'All Users' reference list feature.
`static final EAttribute`
`REALM__DEFAULT_ACCESS`
The meta object literal for the 'Default Access' attribute feature.
`static final EReference`
`REALM__DEFAULT_GROUP_DIRECTORY`
The meta object literal for the 'Default Group Directory' reference feature.
`static final EReference`
`REALM__DEFAULT_ROLE_DIRECTORY`
The meta object literal for the 'Default Role Directory' reference feature.
`static final EReference`
`REALM__DEFAULT_USER_DIRECTORY`
The meta object literal for the 'Default User Directory' reference feature.
`static final EReference`
`REALM__ITEMS`
The meta object literal for the 'Items' containment reference list feature.
`static final EAttribute`
`REALM__NAME`
The meta object literal for the 'Name' attribute feature.
`static final EClass`
`RESOURCE_FILTER`
The meta object literal for the '`Resource Filter`' class.
`static final EAttribute`
`RESOURCE_FILTER__BINARY_RESOURCES`
The meta object literal for the 'Binary Resources' attribute feature.
`static final EAttribute`
`RESOURCE_FILTER__FOLDERS`
The meta object literal for the 'Folders' attribute feature.
`static final EAttribute`
`RESOURCE_FILTER__INCLUDE_PARENTS`
The meta object literal for the 'Include Parents' attribute feature.
`static final EAttribute`
`RESOURCE_FILTER__INCLUDE_ROOT`
The meta object literal for the 'Include Root' attribute feature.
`static final EAttribute`
`RESOURCE_FILTER__MODEL_OBJECTS`
The meta object literal for the 'Model Objects' attribute feature.
`static final EAttribute`
`RESOURCE_FILTER__MODEL_RESOURCES`
The meta object literal for the 'Model Resources' attribute feature.
`static final EAttribute`
`RESOURCE_FILTER__PATH`
The meta object literal for the 'Path' attribute feature.
`static final EAttribute`
`RESOURCE_FILTER__PATTERN_STYLE`
The meta object literal for the 'Pattern Style' attribute feature.
`static final EAttribute`
`RESOURCE_FILTER__TEXT_RESOURCES`
The meta object literal for the 'Text Resources' attribute feature.
`static final EClass`
`RESOURCE_PERMISSION`
The meta object literal for the '`Resource Permission`' class.
`static final EAttribute`
`RESOURCE_PERMISSION__PATTERN`
The meta object literal for the 'Pattern' attribute feature.
`static final EClass`
`ROLE`
The meta object literal for the '`Role`' class.
`static final EReference`
`ROLE__ASSIGNEES`
The meta object literal for the 'Assignees' reference list feature.
`static final EAttribute`
`ROLE__ID`
The meta object literal for the 'Id' attribute feature.
`static final EReference`
`ROLE__PERMISSIONS`
The meta object literal for the 'Permissions' containment reference list feature.
`static final EClass`
`SECURITY_ELEMENT`
The meta object literal for the '`Element`' class.
`static final EOperation`
`SECURITY_ELEMENT___GET_REALM`
The meta object literal for the 'Get Realm' operation.
`static final EClass`
`SECURITY_ITEM`
The meta object literal for the '`Item`' class.
`static final EClass`
`USER`
The meta object literal for the '`User`' class.
`static final EReference`
`USER__ALL_GROUPS`
The meta object literal for the 'All Groups' reference list feature.
`static final EReference`
`USER__ALL_PERMISSIONS`
The meta object literal for the 'All Permissions' reference list feature.
`static final EReference`
`USER__ALL_ROLES`
The meta object literal for the 'All Roles' reference list feature.
`static final EAttribute`
`USER__DEFAULT_ACCESS`
The meta object literal for the 'Default Access' attribute feature.
`static final EAttribute`
`USER__DEFAULT_ACCESS_OVERRIDE`
The meta object literal for the 'Default Access Override' attribute feature.
`static final EAttribute`
`USER__EMAIL`
The meta object literal for the 'Email' attribute feature.
`static final EAttribute`
`USER__FIRST_NAME`
The meta object literal for the 'First Name' attribute feature.
`static final EReference`
`USER__GROUPS`
The meta object literal for the 'Groups' reference list feature.
`static final EAttribute`
`USER__LABEL`
The meta object literal for the 'Label' attribute feature.
`static final EAttribute`
`USER__LAST_NAME`
The meta object literal for the 'Last Name' attribute feature.
`static final EAttribute`
`USER__LOCKED`
The meta object literal for the 'Locked' attribute feature.
`static final EReference`
`USER__PASSWORD`
The meta object literal for the 'Password' containment reference feature.
`static final EReference`
`USER__UNASSIGNED_ROLES`
The meta object literal for the 'Unassigned Roles' reference list feature.
`static final EClass`
`USER_PASSWORD`
The meta object literal for the '`User Password`' class.
`static final EAttribute`
`USER_PASSWORD__ENCRYPTED`
The meta object literal for the 'Encrypted' attribute feature.

## Field Details

### SECURITY_ELEMENT

static final EClass SECURITY_ELEMENT
The meta object literal for the '`Element`' class.

See Also:
  - `SecurityElementImpl`
  - `SecurityPackageImpl.getSecurityElement()`
Generated

### SECURITY_ELEMENT___GET_REALM

static final EOperation SECURITY_ELEMENT___GET_REALM
The meta object literal for the 'Get Realm' operation.

Since:
  4.7
Generated

### REALM

static final EClass REALM
The meta object literal for the '`Realm`' class.

See Also:
  - `RealmImpl`
  - `SecurityPackageImpl.getRealm()`
Generated

### REALM__ITEMS

static final EReference REALM__ITEMS
The meta object literal for the 'Items' containment reference list feature.

Generated

### REALM__ALL_USERS

static final EReference REALM__ALL_USERS
The meta object literal for the 'All Users' reference list feature.

Generated

### REALM__ALL_GROUPS

static final EReference REALM__ALL_GROUPS
The meta object literal for the 'All Groups' reference list feature.

Generated

### REALM__ALL_ROLES

static final EReference REALM__ALL_ROLES
The meta object literal for the 'All Roles' reference list feature.

Generated

### REALM__ALL_PERMISSIONS

static final EReference REALM__ALL_PERMISSIONS
The meta object literal for the 'All Permissions' reference list feature.

Generated

### REALM__NAME

static final EAttribute REALM__NAME
The meta object literal for the 'Name' attribute feature.

Generated

### REALM__DEFAULT_ACCESS

static final EAttribute REALM__DEFAULT_ACCESS
The meta object literal for the 'Default Access' attribute feature.

Generated

### REALM__DEFAULT_USER_DIRECTORY

static final EReference REALM__DEFAULT_USER_DIRECTORY
The meta object literal for the 'Default User Directory' reference feature.

Since:
  4.2
Generated

### REALM__DEFAULT_GROUP_DIRECTORY

static final EReference REALM__DEFAULT_GROUP_DIRECTORY
The meta object literal for the 'Default Group Directory' reference feature.

Since:
  4.2
Generated

### REALM__DEFAULT_ROLE_DIRECTORY

static final EReference REALM__DEFAULT_ROLE_DIRECTORY
The meta object literal for the 'Default Role Directory' reference feature.

Since:
  4.2
Generated

### DIRECTORY

static final EClass DIRECTORY
The meta object literal for the '`Directory`' class.

See Also:
  - `DirectoryImpl`
  - `SecurityPackageImpl.getDirectory()`
Generated

### DIRECTORY__ITEMS

static final EReference DIRECTORY__ITEMS
The meta object literal for the 'Items' containment reference list feature.

Generated

### DIRECTORY__NAME

static final EAttribute DIRECTORY__NAME
The meta object literal for the 'Name' attribute feature.

Generated

### SECURITY_ITEM

static final EClass SECURITY_ITEM
The meta object literal for the '`Item`' class.

See Also:
  - `SecurityItemImpl`
  - `SecurityPackageImpl.getSecurityItem()`
Generated

### ROLE

static final EClass ROLE
The meta object literal for the '`Role`' class.

See Also:
  - `RoleImpl`
  - `SecurityPackageImpl.getRole()`
Generated

### ROLE__ASSIGNEES

static final EReference ROLE__ASSIGNEES
The meta object literal for the 'Assignees' reference list feature.

Generated

### ROLE__ID

static final EAttribute ROLE__ID
The meta object literal for the 'Id' attribute feature.

Generated

### ROLE__PERMISSIONS

static final EReference ROLE__PERMISSIONS
The meta object literal for the 'Permissions' containment reference list feature.

Generated

### ASSIGNEE

static final EClass ASSIGNEE
The meta object literal for the '`Assignee`' class.

See Also:
  - `AssigneeImpl`
  - `SecurityPackageImpl.getAssignee()`
Generated

### ASSIGNEE__ROLES

static final EReference ASSIGNEE__ROLES
The meta object literal for the 'Roles' reference list feature.

Generated

### ASSIGNEE__ID

static final EAttribute ASSIGNEE__ID
The meta object literal for the 'Id' attribute feature.

Generated

### GROUP

static final EClass GROUP
The meta object literal for the '`Group`' class.

See Also:
  - `GroupImpl`
  - `SecurityPackageImpl.getGroup()`
Generated

### GROUP__USERS

static final EReference GROUP__USERS
The meta object literal for the 'Users' reference list feature.

Generated

### GROUP__INHERITED_GROUPS

static final EReference GROUP__INHERITED_GROUPS
The meta object literal for the 'Inherited Groups' reference list feature.

Generated

### GROUP__INHERITING_GROUPS

static final EReference GROUP__INHERITING_GROUPS
The meta object literal for the 'Inheriting Groups' reference list feature.

Generated

### GROUP__ALL_INHERITING_GROUPS

static final EReference GROUP__ALL_INHERITING_GROUPS
The meta object literal for the 'All Inheriting Groups' reference list feature.

Generated

### GROUP__ALL_INHERITED_GROUPS

static final EReference GROUP__ALL_INHERITED_GROUPS
The meta object literal for the 'All Inherited Groups' reference list feature.

Generated

### GROUP__ALL_ROLES

static final EReference GROUP__ALL_ROLES
The meta object literal for the 'All Roles' reference list feature.

Generated

### USER

static final EClass USER
The meta object literal for the '`User`' class.

See Also:
  - `UserImpl`
  - `SecurityPackageImpl.getUser()`
Generated

### USER__GROUPS

static final EReference USER__GROUPS
The meta object literal for the 'Groups' reference list feature.

Generated

### USER__ALL_GROUPS

static final EReference USER__ALL_GROUPS
The meta object literal for the 'All Groups' reference list feature.

Generated

### USER__ALL_ROLES

static final EReference USER__ALL_ROLES
The meta object literal for the 'All Roles' reference list feature.

Generated

### USER__ALL_PERMISSIONS

static final EReference USER__ALL_PERMISSIONS
The meta object literal for the 'All Permissions' reference list feature.

Generated

### USER__UNASSIGNED_ROLES

static final EReference USER__UNASSIGNED_ROLES
The meta object literal for the 'Unassigned Roles' reference list feature.

Generated

### USER__LABEL

static final EAttribute USER__LABEL
The meta object literal for the 'Label' attribute feature.

Generated

### USER__FIRST_NAME

static final EAttribute USER__FIRST_NAME
The meta object literal for the 'First Name' attribute feature.

Generated

### USER__LAST_NAME

static final EAttribute USER__LAST_NAME
The meta object literal for the 'Last Name' attribute feature.

Generated

### USER__EMAIL

static final EAttribute USER__EMAIL
The meta object literal for the 'Email' attribute feature.

Generated

### USER__DEFAULT_ACCESS_OVERRIDE

static final EAttribute USER__DEFAULT_ACCESS_OVERRIDE
The meta object literal for the 'Default Access Override' attribute feature.

Generated

### USER__DEFAULT_ACCESS

static final EAttribute USER__DEFAULT_ACCESS
The meta object literal for the 'Default Access' attribute feature.

Generated

### USER__LOCKED

static final EAttribute USER__LOCKED
The meta object literal for the 'Locked' attribute feature.

Generated

### USER__PASSWORD

static final EReference USER__PASSWORD
The meta object literal for the 'Password' containment reference feature.

Generated

### USER_PASSWORD

static final EClass USER_PASSWORD
The meta object literal for the '`User Password`' class.

See Also:
  - `UserPasswordImpl`
  - `SecurityPackageImpl.getUserPassword()`
Generated

### USER_PASSWORD__ENCRYPTED

static final EAttribute USER_PASSWORD__ENCRYPTED
The meta object literal for the 'Encrypted' attribute feature.

Generated

### PERMISSION

static final EClass PERMISSION
The meta object literal for the '`Permission`' class.

See Also:
  - `PermissionImpl`
  - `SecurityPackageImpl.getPermission()`
Generated

### PERMISSION__ROLE

static final EReference PERMISSION__ROLE
The meta object literal for the 'Role' container reference feature.

Generated

### PERMISSION__ACCESS

static final EAttribute PERMISSION__ACCESS
The meta object literal for the 'Access' attribute feature.

Generated

### CLASS_PERMISSION

static final EClass CLASS_PERMISSION
The meta object literal for the '`Class Permission`' class.

See Also:
  - `ClassPermissionImpl`
  - `SecurityPackageImpl.getClassPermission()`
Generated

### CLASS_PERMISSION__APPLICABLE_CLASS

static final EReference CLASS_PERMISSION__APPLICABLE_CLASS
The meta object literal for the 'Applicable Class' reference feature.

Generated

### PACKAGE_PERMISSION

static final EClass PACKAGE_PERMISSION
The meta object literal for the '`Package Permission`' class.

See Also:
  - `PackagePermissionImpl`
  - `SecurityPackageImpl.getPackagePermission()`
Generated

### PACKAGE_PERMISSION__APPLICABLE_PACKAGE

static final EReference PACKAGE_PERMISSION__APPLICABLE_PACKAGE
The meta object literal for the 'Applicable Package' reference feature.

Generated

### RESOURCE_PERMISSION

static final EClass RESOURCE_PERMISSION
The meta object literal for the '`Resource Permission`' class.

See Also:
  - `ResourcePermissionImpl`
  - `SecurityPackageImpl.getResourcePermission()`
Generated

### RESOURCE_PERMISSION__PATTERN

static final EAttribute RESOURCE_PERMISSION__PATTERN
The meta object literal for the 'Pattern' attribute feature.

Generated

### OBJECT_PERMISSION

static final EClass OBJECT_PERMISSION
The meta object literal for the '`Object Permission`' class.

Since:
  4.2
See Also:
  - `ObjectPermissionImpl`
  - `SecurityPackageImpl.getObjectPermission()`
Generated

### FILTER_PERMISSION

static final EClass FILTER_PERMISSION
The meta object literal for the '`Filter Permission`' class.

Since:
  4.3
See Also:
  - `FilterPermissionImpl`
  - `SecurityPackageImpl.getFilterPermission()`
Generated

### FILTER_PERMISSION__FILTERS

static final EReference FILTER_PERMISSION__FILTERS
The meta object literal for the 'Filters' containment reference list feature.

Since:
  4.3
Generated

### PERMISSION_FILTER

static final EClass PERMISSION_FILTER
The meta object literal for the '`Permission Filter`' class.

Since:
  4.3
See Also:
  - `PermissionFilterImpl`
  - `SecurityPackageImpl.getPermissionFilter()`
Generated

### LINKED_FILTER

static final EClass LINKED_FILTER
The meta object literal for the '`Linked Filter`' class.

Since:
  4.3
See Also:
  - `LinkedFilterImpl`
  - `SecurityPackageImpl.getLinkedFilter()`
Generated

### LINKED_FILTER__FILTER

static final EReference LINKED_FILTER__FILTER
The meta object literal for the 'Filter' reference feature.

Since:
  4.3
Generated

### PACKAGE_FILTER

static final EClass PACKAGE_FILTER
The meta object literal for the '`Package Filter`' class.

Since:
  4.3
See Also:
  - `PackageFilterImpl`
  - `SecurityPackageImpl.getPackageFilter()`
Generated

### PACKAGE_FILTER__APPLICABLE_PACKAGE

static final EReference PACKAGE_FILTER__APPLICABLE_PACKAGE
The meta object literal for the 'Applicable Package' reference feature.

Since:
  4.3
Generated

### CLASS_FILTER

static final EClass CLASS_FILTER
The meta object literal for the '`Class Filter`' class.

Since:
  4.3
See Also:
  - `ClassFilterImpl`
  - `SecurityPackageImpl.getClassFilter()`
Generated

### CLASS_FILTER__APPLICABLE_CLASS

static final EReference CLASS_FILTER__APPLICABLE_CLASS
The meta object literal for the 'Applicable Class' reference feature.

Since:
  4.3
Generated

### CLASS_FILTER__SUB_TYPES

static final EAttribute CLASS_FILTER__SUB_TYPES
The meta object literal for the 'Sub Types' attribute feature.

Since:
  4.3
Generated

### RESOURCE_FILTER

static final EClass RESOURCE_FILTER
The meta object literal for the '`Resource Filter`' class.

Since:
  4.3
See Also:
  - `ResourceFilterImpl`
  - `SecurityPackageImpl.getResourceFilter()`
Generated

### RESOURCE_FILTER__PATH

static final EAttribute RESOURCE_FILTER__PATH
The meta object literal for the 'Path' attribute feature.

Since:
  4.3
Generated

### RESOURCE_FILTER__PATTERN_STYLE

static final EAttribute RESOURCE_FILTER__PATTERN_STYLE
The meta object literal for the 'Pattern Style' attribute feature.

Since:
  4.3
Generated

### RESOURCE_FILTER__FOLDERS

static final EAttribute RESOURCE_FILTER__FOLDERS
The meta object literal for the 'Folders' attribute feature.

Since:
  4.3
Generated

### RESOURCE_FILTER__MODEL_RESOURCES

static final EAttribute RESOURCE_FILTER__MODEL_RESOURCES
The meta object literal for the 'Model Resources' attribute feature.

Since:
  4.3
Generated

### RESOURCE_FILTER__MODEL_OBJECTS

static final EAttribute RESOURCE_FILTER__MODEL_OBJECTS
The meta object literal for the 'Model Objects' attribute feature.

Since:
  4.3
Generated

### RESOURCE_FILTER__INCLUDE_PARENTS

static final EAttribute RESOURCE_FILTER__INCLUDE_PARENTS
The meta object literal for the 'Include Parents' attribute feature.

Since:
  4.3
Generated

### RESOURCE_FILTER__INCLUDE_ROOT

static final EAttribute RESOURCE_FILTER__INCLUDE_ROOT
The meta object literal for the 'Include Root' attribute feature.

Since:
  4.3
Generated

### RESOURCE_FILTER__TEXT_RESOURCES

static final EAttribute RESOURCE_FILTER__TEXT_RESOURCES
The meta object literal for the 'Text Resources' attribute feature.

Since:
  4.3
Generated

### RESOURCE_FILTER__BINARY_RESOURCES

static final EAttribute RESOURCE_FILTER__BINARY_RESOURCES
The meta object literal for the 'Binary Resources' attribute feature.

Since:
  4.3
Generated

### OBJECT_FILTER

static final EClass OBJECT_FILTER
The meta object literal for the '`Object Filter`' class.

Since:
  4.3
See Also:
  - `ObjectFilterImpl`
  - `SecurityPackageImpl.getObjectFilter()`
Generated

### EXPRESSION_FILTER

static final EClass EXPRESSION_FILTER
The meta object literal for the '`Expression Filter`' class.

Since:
  4.3
See Also:
  - `ExpressionFilterImpl`
  - `SecurityPackageImpl.getExpressionFilter()`
Generated

### EXPRESSION_FILTER__EXPRESSION

static final EReference EXPRESSION_FILTER__EXPRESSION
The meta object literal for the 'Expression' containment reference feature.

Since:
  4.3
Generated

### COMBINED_FILTER

static final EClass COMBINED_FILTER
The meta object literal for the '`Combined Filter`' class.

Since:
  4.3
See Also:
  - `CombinedFilterImpl`
  - `SecurityPackageImpl.getCombinedFilter()`
Generated

### COMBINED_FILTER__OPERANDS

static final EReference COMBINED_FILTER__OPERANDS
The meta object literal for the 'Operands' containment reference list feature.

Since:
  4.3
Generated

### NOT_FILTER

static final EClass NOT_FILTER
The meta object literal for the '`Not Filter`' class.

Since:
  4.3
See Also:
  - `NotFilterImpl`
  - `SecurityPackageImpl.getNotFilter()`
Generated

### AND_FILTER

static final EClass AND_FILTER
The meta object literal for the '`And Filter`' class.

Since:
  4.3
See Also:
  - `AndFilterImpl`
  - `SecurityPackageImpl.getAndFilter()`
Generated

### OR_FILTER

static final EClass OR_FILTER
The meta object literal for the '`Or Filter`' class.

Since:
  4.3
See Also:
  - `OrFilterImpl`
  - `SecurityPackageImpl.getOrFilter()`
Generated

### PATTERN_STYLE

static final EEnum PATTERN_STYLE
The meta object literal for the '`Pattern Style`' enum.

Since:
  4.3
See Also:
  - `PatternStyle`
  - `SecurityPackageImpl.getPatternStyle()`
Generated

### ACCESS

static final EEnum ACCESS
The meta object literal for the '`Access`' enum.

See Also:
  - `Access`
  - `SecurityPackageImpl.getAccess()`
Generated

### ACCESS_OBJECT

static final EDataType ACCESS_OBJECT
The meta object literal for the 'Access Object' data type.

See Also:
  - `Access`
  - `SecurityPackageImpl.getAccessObject()`
Generated